org.apache.fop.util

## Class LogUtil

- java.lang.Object
- - org.apache.fop.util.LogUtil

    public final class LogUtil
    extends Object

Convenience Logging utility methods used in FOP

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `handleError(org.apache.commons.logging.Log log, String errorStr, boolean strict)` Convenience method that handles any error appropriately
`static void` `handleException(org.apache.commons.logging.Log log, Exception e, boolean strict)` Convenience method that handles any error appropriately

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### handleError

    public static void handleError(org.apache.commons.logging.Log log,
                                   String errorStr,
                                   boolean strict)
                            throws FOPException

Convenience method that handles any error appropriately

Parameters:
  `log` - log
  `errorStr` - error string
  `strict` - validate strictly
Throws:
  `FOPException` - fop exception

#### handleException

    public static void handleException(org.apache.commons.logging.Log log,
                                       Exception e,
                                       boolean strict)
                                throws FOPException

Convenience method that handles any error appropriately

Parameters:
  `log` - log
  `e` - exception
  `strict` - validate strictly
Throws:
  `FOPException` - fop exception